/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package DataEntryBean;

/**
 *
 * @author Tcs Helpdesk10
 */
public class DepositProductCreationBean {

     //For Create Div
    private String productname;
    private String productdescription;
    private String productcode;
    private String inttcategory;
    private String intcatdescription;
    private String segmentCode;
    private String status;
    private String effectDate;
    private String minbal;
    private String maxbal;
    private String intrate;
    private String inttmethod;
    private String inttfrequency;
    private String glCode;
    private String glCodeInttPAID;
    private String glCodeInttPAYABLE;
    private String glCodeInttPAID_Amend;
    private String glCodeInttPAYABLE_Amend;
    private String odindicator;
    private String maxlimit;
    private String drawingpower;
    private String penalinttrate;
    private String penalinttmethod;
    private String penalinttfrequency;
    private String creditComp1;
    private String creditComp2;
    private String debitComp1;
    private String debitComp2;
    private String cropIns;

     private String minwdl;
     private String maxwdl;
     private String inttcapfrequency;
     private String inttpayoutfrequency;
     private String allowdr;
     private String allowcr;
     private String dormancypr;

     private String minterm;
     private String maxterm;
     private String rdFlag;
     private String overduerate;
     private String dormancytrigger;
     private String preClosure;
     private String preClosureAmend;
     private String mintermAmend;
     private String maxtermAmend;
     private String rdFlagAmend;
     private String overduerateAmend;
     private String dormancytriggerAmend;

     private String headAccType;
     private String headAccTypeAmend;

    public String getHeadAccType() {
        return headAccType;
    }

    public void setHeadAccType(String headAccType) {
        this.headAccType = headAccType;
    }

    public String getHeadAccTypeAmend() {
        return headAccTypeAmend;
    }

    public void setHeadAccTypeAmend(String headAccTypeAmend) {
        this.headAccTypeAmend = headAccTypeAmend;
    }

    public String getGlCodeInttPAID() {
        return glCodeInttPAID;
    }

    public void setGlCodeInttPAID(String glCodeInttPAID) {
        this.glCodeInttPAID = glCodeInttPAID;
    }

    public String getGlCodeInttPAID_Amend() {
        return glCodeInttPAID_Amend;
    }

    public void setGlCodeInttPAID_Amend(String glCodeInttPAID_Amend) {
        this.glCodeInttPAID_Amend = glCodeInttPAID_Amend;
    }

    public String getGlCodeInttPAYABLE() {
        return glCodeInttPAYABLE;
    }

    public void setGlCodeInttPAYABLE(String glCodeInttPAYABLE) {
        this.glCodeInttPAYABLE = glCodeInttPAYABLE;
    }

    public String getGlCodeInttPAYABLE_Amend() {
        return glCodeInttPAYABLE_Amend;
    }

    public void setGlCodeInttPAYABLE_Amend(String glCodeInttPAYABLE_Amend) {
        this.glCodeInttPAYABLE_Amend = glCodeInttPAYABLE_Amend;
    }



    public String getInttpayoutfrequency() {
        return inttpayoutfrequency;
    }

    public void setInttpayoutfrequency(String inttpayoutfrequency) {
        this.inttpayoutfrequency = inttpayoutfrequency;
    }



    public String getPreClosureAmend() {
        return preClosureAmend;
    }

    public void setPreClosureAmend(String preClosureAmend) {
        this.preClosureAmend = preClosureAmend;
    }



    public String getPreClosure() {
        return preClosure;
    }

    public void setPreClosure(String preClosure) {
        this.preClosure = preClosure;
    }



    public String getRdFlagAmend() {
        return rdFlagAmend;
    }

    public void setRdFlagAmend(String rdFlagAmend) {
        this.rdFlagAmend = rdFlagAmend;
    }



    public String getDormancytrigger() {
        return dormancytrigger;
    }

    public void setDormancytrigger(String dormancytrigger) {
        this.dormancytrigger = dormancytrigger;
    }

    public String getDormancytriggerAmend() {
        return dormancytriggerAmend;
    }

    public void setDormancytriggerAmend(String dormancytriggerAmend) {
        this.dormancytriggerAmend = dormancytriggerAmend;
    }

    public String getMaxterm() {
        return maxterm;
    }

    public void setMaxterm(String maxterm) {
        this.maxterm = maxterm;
    }

    public String getMaxtermAmend() {
        return maxtermAmend;
    }

    public void setMaxtermAmend(String maxtermAmend) {
        this.maxtermAmend = maxtermAmend;
    }

    public String getMinterm() {
        return minterm;
    }

    public void setMinterm(String minterm) {
        this.minterm = minterm;
    }

    public String getMintermAmend() {
        return mintermAmend;
    }

    public void setMintermAmend(String mintermAmend) {
        this.mintermAmend = mintermAmend;
    }

    public String getOverduerate() {
        return overduerate;
    }

    public void setOverduerate(String overduerate) {
        this.overduerate = overduerate;
    }

    public String getOverduerateAmend() {
        return overduerateAmend;
    }

    public void setOverduerateAmend(String overduerateAmend) {
        this.overduerateAmend = overduerateAmend;
    }

    public String getRdFlag() {
        return rdFlag;
    }

    public void setRdFlag(String rdFlag) {
        this.rdFlag = rdFlag;
    }


    public String getInttcapfrequency() {
        return inttcapfrequency;
    }

    public void setInttcapfrequency(String inttcapfrequency) {
        this.inttcapfrequency = inttcapfrequency;
    }

    public String getAllowdr() {
        return allowdr;
    }

    public void setAllowdr(String allowdr) {
        this.allowdr = allowdr;
    }

    public String getAllowcr() {
        return allowcr;
    }

    public void setAllowcr(String allowcr) {
        this.allowcr = allowcr;
    }

    public String getDormancypr() {
        return dormancypr;
    }

    public void setDormancypr(String dormancypr) {
        this.dormancypr = dormancypr;
    }



    //For Update Div
    private String productnameAmend;
    private String productdescriptionAmend;
    private String productcodeAmend;
    private String inttcategoryAmend;
    private String intcatdescriptionAmend;
    private String segmentCodeAmend;
    private String statusAmend;
    private String effectDateAmend;
    private String minbalAmend;
    private String maxbalAmend;
    private String intrateAmend;
    private String inttmethodAmend;
    private String inttfrequencyAmend;
    private String glCodeAmend;
    private String odindicatorAmend;
    private String maxlimitAmend;
    private String drawingpowerAmend;
    private String penalinttrateAmend;
    private String penalinttmethodAmend;
    private String penalinttfrequencyAmend;
    private String intcatSearch;
    private String productcodeSearch;
    private String dep_product_id;
    private String creditComp1Amend;
    private String creditComp2Amend;
    private String debitComp1Amend;
    private String debitComp2Amend;
    private String cropInsAmend;
     private String minwdlAmend;
      private String maxwdlAmend;

     private String inttcapfrequencyAmend;
     private String inttpayoutfrequencyAmend;
     private String allowdrAmend;
     private String allowcrAmend;
     private String dormancyprAmend;

    public String getInttpayoutfrequencyAmend() {
        return inttpayoutfrequencyAmend;
    }

    public void setInttpayoutfrequencyAmend(String inttpayoutfrequencyAmend) {
        this.inttpayoutfrequencyAmend = inttpayoutfrequencyAmend;
    }



    public String getInttcapfrequencyAmend() {
        return inttcapfrequencyAmend;
    }

    public void setInttcapfrequencyAmend(String inttcapfrequencyAmend) {
        this.inttcapfrequencyAmend = inttcapfrequencyAmend;
    }

    public String getAllowdrAmend() {
        return allowdrAmend;
    }

    public void setAllowdrAmend(String allowdrAmend) {
        this.allowdrAmend = allowdrAmend;
    }

    public String getAllowcrAmend() {
        return allowcrAmend;
    }

    public void setAllowcrAmend(String allowcrAmend) {
        this.allowcrAmend = allowcrAmend;
    }

    public String getDormancyprAmend() {
        return dormancyprAmend;
    }

    public void setDormancyprAmend(String dormancyprAmend) {
        this.dormancyprAmend = dormancyprAmend;
    }



    public String getMinwdl() {
        return minwdl;
    }

    public void setMinwdl(String minwdl) {
        this.minwdl = minwdl;
    }

    public String getMaxwdl() {
        return maxwdl;
    }

    public void setMaxwdl(String maxwdl) {
        this.maxwdl = maxwdl;
    }

    public String getMinwdlAmend() {
        return minwdlAmend;
    }

    public void setMinwdlAmend(String minwdlAmend) {
        this.minwdlAmend = minwdlAmend;
    }

    public String getMaxwdlAmend() {
        return maxwdlAmend;
    }

    public void setMaxwdlAmend(String maxwdlAmend) {
        this.maxwdlAmend = maxwdlAmend;
    }




    /**
     * @return the productname
     */
    public String getProductname() {
        return productname;
    }

    /**
     * @param productname the productname to set
     */
    public void setProductname(String productname) {
        this.productname = productname;
    }

    /**
     * @return the productdescription
     */
    public String getProductdescription() {
        return productdescription;
    }

    /**
     * @param productdescription the productdescription to set
     */
    public void setProductdescription(String productdescription) {
        this.productdescription = productdescription;
    }

    /**
     * @return the productcode
     */
    public String getProductcode() {
        return productcode;
    }

    /**
     * @param productcode the productcode to set
     */
    public void setProductcode(String productcode) {
        this.productcode = productcode;
    }

    /**
     * @return the inttcategory
     */
    public String getInttcategory() {
        return inttcategory;
    }

    /**
     * @param inttcategory the inttcategory to set
     */
    public void setInttcategory(String inttcategory) {
        this.inttcategory = inttcategory;
    }

    /**
     * @return the intcatdescription
     */
    public String getIntcatdescription() {
        return intcatdescription;
    }

    /**
     * @param intcatdescription the intcatdescription to set
     */
    public void setIntcatdescription(String intcatdescription) {
        this.intcatdescription = intcatdescription;
    }

    /**
     * @return the segmentCode
     */
    public String getSegmentCode() {
        return segmentCode;
    }

    /**
     * @param segmentCode the segmentCode to set
     */
    public void setSegmentCode(String segmentCode) {
        this.segmentCode = segmentCode;
    }

    /**
     * @return the status
     */
    public String getStatus() {
        return status;
    }

    /**
     * @param status the status to set
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * @return the effectDate
     */
    public String getEffectDate() {
        return effectDate;
    }

    /**
     * @param effectDate the effectDate to set
     */
    public void setEffectDate(String effectDate) {
        this.effectDate = effectDate;
    }

    /**
     * @return the minbal
     */
    public String getMinbal() {
        return minbal;
    }

    /**
     * @param minbal the minbal to set
     */
    public void setMinbal(String minbal) {
        this.minbal = minbal;
    }

    /**
     * @return the maxbal
     */
    public String getMaxbal() {
        return maxbal;
    }

    /**
     * @param maxbal the maxbal to set
     */
    public void setMaxbal(String maxbal) {
        this.maxbal = maxbal;
    }

    /**
     * @return the intrate
     */
    public String getIntrate() {
        return intrate;
    }

    /**
     * @param intrate the intrate to set
     */
    public void setIntrate(String intrate) {
        this.intrate = intrate;
    }

    /**
     * @return the inttmethod
     */
    public String getInttmethod() {
        return inttmethod;
    }

    /**
     * @param inttmethod the inttmethod to set
     */
    public void setInttmethod(String inttmethod) {
        this.inttmethod = inttmethod;
    }

    /**
     * @return the inttfrequency
     */
    public String getInttfrequency() {
        return inttfrequency;
    }

    /**
     * @param inttfrequency the inttfrequency to set
     */
    public void setInttfrequency(String inttfrequency) {
        this.inttfrequency = inttfrequency;
    }

    /**
     * @return the glCode
     */
    public String getGlCode() {
        return glCode;
    }

    /**
     * @param glCode the glDescription to set
     */
    public void setGlCode(String glCode) {
        this.glCode = glCode;
    }

    /**
     * @return the odindicator
     */
    public String getOdindicator() {
        return odindicator;
    }

    /**
     * @param odindicator the odindicator to set
     */
    public void setOdindicator(String odindicator) {
        this.odindicator = odindicator;
    }

    /**
     * @return the maxlimit
     */
    public String getMaxlimit() {
        return maxlimit;
    }

    /**
     * @param maxlimit the maxlimit to set
     */
    public void setMaxlimit(String maxlimit) {
        this.maxlimit = maxlimit;
    }

    /**
     * @return the drawingpower
     */
    public String getDrawingpower() {
        return drawingpower;
    }

    /**
     * @param drawingpower the drawingpower to set
     */
    public void setDrawingpower(String drawingpower) {
        this.drawingpower = drawingpower;
    }

    /**
     * @return the penalinttrate
     */
    public String getPenalinttrate() {
        return penalinttrate;
    }

    /**
     * @param penalinttrate the penalinttrate to set
     */
    public void setPenalinttrate(String penalinttrate) {
        this.penalinttrate = penalinttrate;
    }

    /**
     * @return the penalinttmethod
     */
    public String getPenalinttmethod() {
        return penalinttmethod;
    }

    /**
     * @param penalinttmethod the penalinttmethod to set
     */
    public void setPenalinttmethod(String penalinttmethod) {
        this.penalinttmethod = penalinttmethod;
    }

    /**
     * @return the penalinttfrequency
     */
    public String getPenalinttfrequency() {
        return penalinttfrequency;
    }

    /**
     * @param penalinttfrequency the penalinttfrequency to set
     */
    public void setPenalinttfrequency(String penalinttfrequency) {
        this.penalinttfrequency = penalinttfrequency;
    }

    /**
     * @return the productnameAmend
     */
    public String getProductnameAmend() {
        return productnameAmend;
    }

    /**
     * @param productnameAmend the productnameAmend to set
     */
    public void setProductnameAmend(String productnameAmend) {
        this.productnameAmend = productnameAmend;
    }

    /**
     * @return the productdescriptionAmend
     */
    public String getProductdescriptionAmend() {
        return productdescriptionAmend;
    }

    /**
     * @param productdescriptionAmend the productdescriptionAmend to set
     */
    public void setProductdescriptionAmend(String productdescriptionAmend) {
        this.productdescriptionAmend = productdescriptionAmend;
    }

    /**
     * @return the productcodeAmend
     */
    public String getProductcodeAmend() {
        return productcodeAmend;
    }

    /**
     * @param productcodeAmend the productcodeAmend to set
     */
    public void setProductcodeAmend(String productcodeAmend) {
        this.productcodeAmend = productcodeAmend;
    }

    /**
     * @return the inttcategoryAmend
     */
    public String getInttcategoryAmend() {
        return inttcategoryAmend;
    }

    /**
     * @param inttcategoryAmend the inttcategoryAmend to set
     */
    public void setInttcategoryAmend(String inttcategoryAmend) {
        this.inttcategoryAmend = inttcategoryAmend;
    }

    /**
     * @return the intcatdescriptionAmend
     */
    public String getIntcatdescriptionAmend() {
        return intcatdescriptionAmend;
    }

    /**
     * @param intcatdescriptionAmend the intcatdescriptionAmend to set
     */
    public void setIntcatdescriptionAmend(String intcatdescriptionAmend) {
        this.intcatdescriptionAmend = intcatdescriptionAmend;
    }

    /**
     * @return the segmentCodeAmend
     */
    public String getSegmentCodeAmend() {
        return segmentCodeAmend;
    }

    /**
     * @param segmentCodeAmend the segmentCodeAmend to set
     */
    public void setSegmentCodeAmend(String segmentCodeAmend) {
        this.segmentCodeAmend = segmentCodeAmend;
    }

    /**
     * @return the statusAmend
     */
    public String getStatusAmend() {
        return statusAmend;
    }

    /**
     * @param statusAmend the statusAmend to set
     */
    public void setStatusAmend(String statusAmend) {
        this.statusAmend = statusAmend;
    }

    /**
     * @return the effectDateAmend
     */
    public String getEffectDateAmend() {
        return effectDateAmend;
    }

    /**
     * @param effectDateAmend the effectDateAmend to set
     */
    public void setEffectDateAmend(String effectDateAmend) {
        this.effectDateAmend = effectDateAmend;
    }

    /**
     * @return the minbalAmend
     */
    public String getMinbalAmend() {
        return minbalAmend;
    }

    /**
     * @param minbalAmend the minbalAmend to set
     */
    public void setMinbalAmend(String minbalAmend) {
        this.minbalAmend = minbalAmend;
    }

    /**
     * @return the maxbalAmend
     */
    public String getMaxbalAmend() {
        return maxbalAmend;
    }

    /**
     * @param maxbalAmend the maxbalAmend to set
     */
    public void setMaxbalAmend(String maxbalAmend) {
        this.maxbalAmend = maxbalAmend;
    }

    /**
     * @return the intrateAmend
     */
    public String getIntrateAmend() {
        return intrateAmend;
    }

    /**
     * @param intrateAmend the intrateAmend to set
     */
    public void setIntrateAmend(String intrateAmend) {
        this.intrateAmend = intrateAmend;
    }

    /**
     * @return the inttmethodAmend
     */
    public String getInttmethodAmend() {
        return inttmethodAmend;
    }

    /**
     * @param inttmethodAmend the inttmethodAmend to set
     */
    public void setInttmethodAmend(String inttmethodAmend) {
        this.inttmethodAmend = inttmethodAmend;
    }

    /**
     * @return the inttfrequencyAmend
     */
    public String getInttfrequencyAmend() {
        return inttfrequencyAmend;
    }

    /**
     * @param inttfrequencyAmend the inttfrequencyAmend to set
     */
    public void setInttfrequencyAmend(String inttfrequencyAmend) {
        this.inttfrequencyAmend = inttfrequencyAmend;
    }

    /**
     * @return the glCodeAmend
     */
    public String getGlCodeAmend() {
        return glCodeAmend;
    }

    /**
     * @param glCodeAmend the glDescriptionAmend to set
     */
    public void setGlCodeAmend(String glCodeAmend) {
        this.glCodeAmend = glCodeAmend;
    }

    /**
     * @return the odindicatorAmend
     */
    public String getOdindicatorAmend() {
        return odindicatorAmend;
    }

    /**
     * @param odindicatorAmend the odindicatorAmend to set
     */
    public void setOdindicatorAmend(String odindicatorAmend) {
        this.odindicatorAmend = odindicatorAmend;
    }

    /**
     * @return the maxlimitAmend
     */
    public String getMaxlimitAmend() {
        return maxlimitAmend;
    }

    /**
     * @param maxlimitAmend the maxlimitAmend to set
     */
    public void setMaxlimitAmend(String maxlimitAmend) {
        this.maxlimitAmend = maxlimitAmend;
    }

    /**
     * @return the drawingpowerAmend
     */
    public String getDrawingpowerAmend() {
        return drawingpowerAmend;
    }

    /**
     * @param drawingpowerAmend the drawingpowerAmend to set
     */
    public void setDrawingpowerAmend(String drawingpowerAmend) {
        this.drawingpowerAmend = drawingpowerAmend;
    }

    /**
     * @return the penalinttrateAmend
     */
    public String getPenalinttrateAmend() {
        return penalinttrateAmend;
    }

    /**
     * @param penalinttrateAmend the penalinttrateAmend to set
     */
    public void setPenalinttrateAmend(String penalinttrateAmend) {
        this.penalinttrateAmend = penalinttrateAmend;
    }

    /**
     * @return the penalinttmethodAmend
     */
    public String getPenalinttmethodAmend() {
        return penalinttmethodAmend;
    }

    /**
     * @param penalinttmethodAmend the penalinttmethodAmend to set
     */
    public void setPenalinttmethodAmend(String penalinttmethodAmend) {
        this.penalinttmethodAmend = penalinttmethodAmend;
    }

    /**
     * @return the penalinttfrequencyAmend
     */
    public String getPenalinttfrequencyAmend() {
        return penalinttfrequencyAmend;
    }

    /**
     * @param penalinttfrequencyAmend the penalinttfrequencyAmend to set
     */
    public void setPenalinttfrequencyAmend(String penalinttfrequencyAmend) {
        this.penalinttfrequencyAmend = penalinttfrequencyAmend;
    }

    /**
     * @return the intcatSearch
     */
    public String getIntcatSearch() {
        return intcatSearch;
    }

    /**
     * @param intcatSearch the intcatSearch to set
     */
    public void setIntcatSearch(String intcatSearch) {
        this.intcatSearch = intcatSearch;
    }

    /**
     * @return the productcodeSearch
     */
    public String getProductcodeSearch() {
        return productcodeSearch;
    }

    /**
     * @param productcodeSearch the productcodeSearch to set
     */
    public void setProductcodeSearch(String productcodeSearch) {
        this.productcodeSearch = productcodeSearch;
    }

    /**
     * @return the dep_product_id
     */
    public String getDep_product_id() {
        return dep_product_id;
    }

    /**
     * @param dep_product_id the dep_product_id to set
     */
    public void setDep_product_id(String dep_product_id) {
        this.dep_product_id = dep_product_id;
    }

    /**
     * @return the creditComp1
     */
    public String getCreditComp1() {
        return creditComp1;
    }

    /**
     * @param creditComp1 the creditComp1 to set
     */
    public void setCreditComp1(String creditComp1) {
        this.creditComp1 = creditComp1;
    }

    /**
     * @return the creditComp2
     */
    public String getCreditComp2() {
        return creditComp2;
    }

    /**
     * @param creditComp2 the creditComp2 to set
     */
    public void setCreditComp2(String creditComp2) {
        this.creditComp2 = creditComp2;
    }

    /**
     * @return the debitComp1
     */
    public String getDebitComp1() {
        return debitComp1;
    }

    /**
     * @param debitComp1 the debitComp1 to set
     */
    public void setDebitComp1(String debitComp1) {
        this.debitComp1 = debitComp1;
    }

    /**
     * @return the debitComp2
     */
    public String getDebitComp2() {
        return debitComp2;
    }

    /**
     * @param debitComp2 the debitComp2 to set
     */
    public void setDebitComp2(String debitComp2) {
        this.debitComp2 = debitComp2;
    }

    /**
     * @return the creditComp1Amend
     */
    public String getCreditComp1Amend() {
        return creditComp1Amend;
    }

    /**
     * @param creditComp1Amend the creditComp1Amend to set
     */
    public void setCreditComp1Amend(String creditComp1Amend) {
        this.creditComp1Amend = creditComp1Amend;
    }

    /**
     * @return the creditComp2Amend
     */
    public String getCreditComp2Amend() {
        return creditComp2Amend;
    }

    /**
     * @param creditComp2Amend the creditComp2Amend to set
     */
    public void setCreditComp2Amend(String creditComp2Amend) {
        this.creditComp2Amend = creditComp2Amend;
    }

    /**
     * @return the debitComp1Amend
     */
    public String getDebitComp1Amend() {
        return debitComp1Amend;
    }

    /**
     * @param debitComp1Amend the debitComp1Amend to set
     */
    public void setDebitComp1Amend(String debitComp1Amend) {
        this.debitComp1Amend = debitComp1Amend;
    }

    /**
     * @return the debitComp2Amend
     */
    public String getDebitComp2Amend() {
        return debitComp2Amend;
    }

    /**
     * @param debitComp2Amend the debitComp2Amend to set
     */
    public void setDebitComp2Amend(String debitComp2Amend) {
        this.debitComp2Amend = debitComp2Amend;
    }

    /**
     * @return the cropIns
     */
    public String getCropIns() {
        return cropIns;
    }

    /**
     * @param cropIns the cropIns to set
     */
    public void setCropIns(String cropIns) {
        this.cropIns = cropIns;
    }

    /**
     * @return the cropInsAmend
     */
    public String getCropInsAmend() {
        return cropInsAmend;
    }

    /**
     * @param cropInsAmend the cropInsAmend to set
     */
    public void setCropInsAmend(String cropInsAmend) {
        this.cropInsAmend = cropInsAmend;
    }


}
